Snapshots are empty

Bug #1117709 reported by Martin Stephenson on 2013-02-06
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Back In Time
Fix Released
Medium
Unassigned
backintime (Ubuntu)
Undecided
Unassigned

Bug Description

This is on a new machine with a clean install of 12.04 LTS. In attempting to backup using v1.0.20 to either a test folder in home or to a USB drive, nothing is transferred. Here's the log file:

========== Take snapshot (profile 1): Wed 06 Feb 2013 21:15:18 ==========

[I] ...
[I] Take snapshot
[I] rsync -rtDH --links --no-p --no-g --no-o --delete --delete-excluded -v --chmod=Du+wx --exclude="/home/martins/Backup" --exclude="/home/martins/.local/share/backintime" --include="/home/martins/Documents/" --include="/home/martins/" --include="/home/" --exclude=".gvfs" --exclude=".cache*" --exclude="[Cc]ache*" --exclude=".thumbnails*" --exclude="[Tt]rash*" --exclude="*.backup*" --exclude="*~" --exclude="/home/martins/Ubuntu One" --exclude=".dropbox*" --exclude="/proc" --exclude="/sys" --exclude="/dev" --exclude="/tmp/backintime" --include="/home/martins/Documents/**" --exclude="*" / "/home/martins/Backup/backintime/XL2013/martins/1/new_snapshot/backup/"
[I] Take snapshot (rsync: sending incremental file list)
[I] Take snapshot (rsync: ./)
[I] Take snapshot (rsync: )
[I] Take snapshot (rsync: sent 27 bytes received 15 bytes 84.00 bytes/sec)
[I] Take snapshot (rsync: total size is 0 speedup is 0.00)
[I] Save config file...
[I] Save permission...
[I] Remove old snapshots
[I] Try to keep min free space
[I] Finalising

I've seen that the --exclude="*" entry has caused problems in the past but all the references are to older versions.

Germar (germar) wrote :

Hi Martin,
I can't reproduce this here. Can you please add the part from /var/log/syslog?

Regards,
Germar

Changed in backintime:
status: New → Incomplete
Martin Stephenson (vexillia) wrote :

Here you are:

Feb 7 17:25:56 XL2013 backintime (martins): INFO: Lock
Feb 7 17:25:56 XL2013 backintime (martins): INFO: on process begins
Feb 7 17:25:56 XL2013 backintime (martins): INFO: [GnomePlugin.Systray.run]
Feb 7 17:25:56 XL2013 backintime (martins): INFO: [GnomePlugin.Systray.run] begin loop
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Profile_id: 1
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Call rsync to take the snapshot
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Command "rsync -rtDH --links --no-p --no-g --no-o --delete --delete-excluded -v --chmod=Du+wx --exclude="/media/FreeAgent" --exclude="/home/martins/.local/share/backintime" --include="/home/martins/Documents/" --include="/home/martins/" --include="/home/" --exclude=".gvfs" --exclude=".cache*" --exclude="[Cc]ache*" --exclude=".thumbnails*" --exclude="[Tt]rash*" --exclude="*.backup*" --exclude="*~" --exclude="/home/martins/Ubuntu One" --exclude=".dropbox*" --exclude="/proc" --exclude="/sys" --exclude="/dev" --exclude="/tmp/backintime" --include="/home/martins/Documents/**" --exclude="*" / "/media/FreeAgent/backintime/XL2013/martins/1/new_snapshot/backup/" 2>&1" returns 0
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Save config file
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Command "cp /home/martins/.config/backintime/config /media/FreeAgent/backintime/XL2013/martins/1/new_snapshot/backup/.." returns 0
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Save permissions
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Create info file
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Command "chmod -R a-w "/media/FreeAgent/backintime/XL2013/martins/1/20130207-172556-975"" returns 0
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Remove backups older than: 20030201-000000
Feb 7 17:25:56 XL2013 backintime (martins): INFO: Keep min free disk space: 1024 Mb
Feb 7 17:25:58 XL2013 backintime (martins): INFO: [GnomePlugin.Systray.run] end loop
Feb 7 17:25:58 XL2013 backintime (martins): INFO: Unlock

Germar (germar) wrote :

Hi,
hmm, the log looks good. I tried again but can't confirm this. Only thing I could imagine (sorry, don't want to blame you) is that /home/martins/Documents is empty. May be you accidentally included /home/martins/Documents instead of /home/martins?

Regards,
Germar

Martin Stephenson (vexillia) wrote :

Sorry /home/martins/Documents is not empty. Same result when I tried including /home/martins before using /home/martins/Documents as a test.

Andy G (andy-p) wrote :

After I recently installed a new version of my OS, I had the same problem. And my log file looked exactly like Martin's above. I'd already looked at several other possible causes of the problem. When I saw mention above of some file in /var/log/syslog I couldn't find it on my system, so I checked if maybe I should check some other option in BIT.

Then I saw the expert option "Copy links (dereference symbolic links)" which I hadn't touched because it clearly says 'Hands off these options if you have no clue what you're doing!'. I decided to try it anyway, since in my new installation all files to be backed up are in folders that are now symlinked into my home directory.

That did the trick - BIT works again. Hope this helps someone.

Germar (germar) wrote :

@Andy: if you only backup the symlinks but not those targets it is pretty normal that you'll get an empty snapshot. This is because rsync ignores links that point outside the copied tree.
You can use 'Copy unsafe links' to fix this. This will only dereference absolute links and links that point outside the copied tree. The 'Copy links' option will dereference all links which is not necessary in your case.
But I would rather include that links target and not use 'Copy links' or 'Copy unsafe links' at all.

@Martin: was this the same for you, too?

To prevent those problems in future I could add a warning if the included file or folder is a link.

Regards,
Germar

Martin Stephenson (vexillia) wrote :

Tried the the change mentioned by Andy G but it didn't work. :-(

Launchpad Janitor (janitor) wrote :

[Expired for Back In Time because there has been no activity for 60 days.]

Changed in backintime:
status: Incomplete → Expired
karlrt (karlrt) on 2013-12-19
Changed in backintime:
status: Expired → New
karlrt (karlrt) wrote :

I opened the report, it affects me too. I tried backintime on precise (1.0.8 or so) and now with the ppa I am using the latest (1.032) version of backintime.

The bug is within backintime: it opens a symbolic link like if it was a normal folder (with the help of nautilus) without warning the user. Dejadup does a better job and dereferences right away in the beginning while picking which folder to backup. But then, dejadup does not backup symlinks in a subfolder. Is this done with backintime and the "copy links" option?

karlrt (karlrt) wrote :

@Germar: Please include a warning. Many users do not think about the symlinks!

Germar (germar) on 2013-12-19
Changed in backintime:
status: New → Triaged
importance: Undecided → Medium
milestone: none → 1.1.0
Germar (germar) wrote :

'copy links' will replace all symlinks with it's target folder. 'copy unsave links' will only replace those symlinks which point outside the included folders or are absolute (start with '/'). So yes, BIT will do this with 'copy links'.

karlrt (karlrt) wrote :

I also created a blueprint. Not sure how to link it with launchpad.

https://blueprints.launchpad.net/backintime/+spec/warn-against-symlink-usage

Germar (germar) on 2014-04-02
Changed in backintime:
status: Triaged → Fix Committed
karlrt (karlrt) wrote :

how did you fix it? Including a warning?

Germar (germar) wrote :

I added a question if user rather want to include symlinks target instead if non of 'copy links' and 'copy unsafe links' is checked.
Take a look at http://bazaar.launchpad.net/~bit-team/backintime/Qt4/revision/912

Germar (germar) on 2015-01-15
Changed in backintime:
status: Fix Committed → Fix Released
Germar (germar) on 2015-08-27
Changed in backintime (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package backintime - 1.1.12-1

---------------
backintime (1.1.12-1) unstable; urgency=medium

  [ Germar Reitze ]
  * New upstream release
      Closes: #802890, #787959, #783386, #789258, #620244, #659965
      LP: #1391589, #1391767, #1117709, #1172114, #1317795, #1441672
  * debian/control: add virtual cron-daemon depend (Closes: #776856)
  * debian/control: depend on openssh-client (won't start without ssh-agent)
  * debian/control: new upstream project Homepage
  * debian/watch: new upstream hosting

  [ Jonathan Wiltshire ]
  * Fix transitional package breaks/replaces (Closes: #806545)
  * Remove patches/timestamps-in-gzip.patch, integrated upstream

 -- Jonathan Wiltshire <email address hidden> Sun, 07 Feb 2016 12:16:34 +0000

Changed in backintime (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers